Bug 1083083 - CVE-2014-1947 CVE-2014-2030 ImageMagick, GraphicsMagick: buffer overflow when handling PSD images [epel-5]
Summary: CVE-2014-1947 CVE-2014-2030 ImageMagick, GraphicsMagick: buffer overflow when...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: GraphicsMagick
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-1947
TreeView+ depends on / blocked
 
Reported: 2014-04-01 12:56 UTC by Stefan Cornelius
Modified: 2014-09-18 23:50 UTC (History)
1 user (show)

Fixed In Version: GraphicsMagick-1.3.20-3.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-18 23:50:36 UTC
Type: ---


Attachments (Terms of Use)

Description Stefan Cornelius 2014-04-01 12:56:35 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for GraphicsMagick: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Stefan Cornelius 2014-04-01 12:56:47 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1064098,1083083

Comment 2 Fedora Update System 2014-08-20 14:38:12 UTC
GraphicsMagick-1.3.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.20-1.el5

Comment 3 Fedora Update System 2014-08-20 22:59:41 UTC
Package GraphicsMagick-1.3.20-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing GraphicsMagick-1.3.20-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2269/GraphicsMagick-1.3.20-1.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-29 19:42:50 UTC
Package GraphicsMagick-1.3.20-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing GraphicsMagick-1.3.20-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2269/GraphicsMagick-1.3.20-3.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-18 23:50:36 UTC
GraphicsMagick-1.3.20-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.